Subject: [bug#31342] [PATCH 2/2] gnu: services: Add Enlightenment desktop service.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 08 May 2018 15:24:59 +0200

Hello!

Efraim Flashner <[email-masked]> skribis:

> On Mon, May 07, 2018 at 06:49:43PM +0200, Ludovic Courtès wrote:

[...]

>> Perhaps enlightenment_ckpasswd needs a PAM entry as well, like
>> ‘screen-locker-service-type’ does?
>> 
>
> I'm not sure, enlightenment's screen locker code was refactored in
> 0.22.2 so that it would behave identically on Linux and BSD, and I'm not
> sure that the BSDs use PAM, and it seems to with as-is.

If you confirm it works as-is, that’s fine!

>> > +(define* (enlightenment-desktop-service
>> > +           #:key (config (enlightenment-desktop-configuration)))
>> > +  "Return a service that adds the @code{enlightenment} package to the system
>> > +profile, and extends dbus with the ability for @code{efl} to generate
>> > +thumbnails and makes setuid the programs which enlightenment expects to have
>> > +their setuid bit set."
>> > +  (service enlightenment-desktop-service-type config))
>> 
>> Not needed!  :-)
>> 
>> Thank you,
>> Ludo’.
>
> I looked at the xfce service especially, and it actually has the same
> fields and declarations as enlightenment.

Sounds good.

> I'd like to leave the option in place to add
> '(enlightenment-desktop-service)' to an OS-config since it is then
> identical to the other desktop services we have.

This style has been (informally, I admit) deprecated since we introduced
the ‘service’ form.  The recommended way is to write:

  (service enlightenment-service-type)

I agree it’s slightly more verbose, but it’s more “transparent.”

Thanks,
Ludo’.